Subject: at91sam9: watchdog: period

From: [email-masked] (Jiří Prchal)
Date: Wed, 20 May 2015 14:39:57 +0200

On 19.5.2015 12:04, Boris Brezillon wrote:
>> I'm confused. Why need kernel to know the time in witch userspace process will reset watchdog?
>
> This time is not exposed to userspace, it's the internal heartbeat used
> by the driver to refresh the watchdog.

Kernel driver does refresh? For what is utility "watchdog" in busybox?
When I stop this util then it will reboot.

>
>> And how to change watchdog expiration time?
>
> With the atmel,max-heartbeat-sec property.

No effect on it, still 61s.

>
> Anyway, that does not explain why your system takes 61 secs to trigger
> a reset (instead of 16 secs).
> Can you try to revert this commit [1] ?

Because of our company internet policy I can't clone git so I tried kernel 3.18.13.
No change, still 61s.

>
>
> [1]https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/drivers/watchdog/at91sam9_wdt.c?id=d677772e1358924bf487cd833bdc4d50f3f6f64d
>